Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zlaswp

scipy.linalg.lapack.zlaswp(a, piv[, k1, k2, off, inc, overwrite_a]) = <fortran function zlaswp>

  Wrapper for `zlaswp`.

  Parameters:
    a input rank-2 array(‘D’) with bounds (nrows,n)
    piv input rank-1 array(‘i’) with bounds (npiv)
  Returns:
    a rank-2 array(‘D’) with bounds (nrows,n)
  Other Parameters:
    overwrite_a input int, optional

      Default: 0

    k1 input int, optional

      Default: 0

    k2 input int, optional

      Default: npiv-1

    off input int, optional

      Default: 0

    inc input int, optional

      Default: 1